Bug 1275341 - Jcr2vfs migration tool swaps DRL declared fact's package name and class name
Jcr2vfs migration tool swaps DRL declared fact's package name and class name
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Migration Tool (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Walter Medvedeo
Marek Winkler
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 10:42 EDT by Marek Winkler
Modified: 2015-11-04 11:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Winkler 2015-10-26 10:42:44 EDT
Description of problem:

When migrating DRL assets declaring facts, Jcr2vfs migration tool imports assets into VFS repository in such a way, that the package name and class name of the asset are swapped. For instance, the class mortgages.Applicant is migrated as follows (part of VFS repo dump):

<assetWithHistory>
  ...
  <relativePath>mortgages/src/main/resources/mortgages/mortgages.java</relativePath>
  <source>package Applicant;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class mortgages implements java.io.Serializable {
...

I have (hopefully) tracked the breaking change to the commit [1] - look for lines such as the highlighted one - a new instance of DataObjectImpl is created, but the arguments are swapped, please see [2]. There are several occurences of this change.

[1] https://github.com/droolsjbpm/drools-wb/commit/98f8e709f28595ffcec2ea992ffb95c7e81f19be#diff-3586a1f931677591d16849a6a19781b0R100

[2] https://github.com/droolsjbpm/kie-wb-common/blob/master/kie-wb-common-services/kie-wb-common-data-modeller-core/src/main/java/org/kie/workbench/common/services/datamodeller/core/impl/DataObjectImpl.java#L35

Version-Release number of selected component (if applicable):
BRMS 6.2.0 ER4

How reproducible:
always

Steps to Reproduce:
1. Migrate a repository containing a DRL asset declaring a fact

Actual results:
Asset is imported with package name and class name swapped.

Expected results:
Asset is imported with correct package name and class name.
Comment 2 Walter Medvedeo 2015-10-27 11:01:26 EDT
The following solves the issue:

master: http://github.com/droolsjbpm/drools-wb/commit/17ce25c43

6.3.x: http://github.com/droolsjbpm/drools-wb/commit/402d1f445
Comment 3 Marek Winkler 2015-11-04 11:58:19 EST
Verified in BRMS 6.2.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.